package com.seer.teach.teacher.resolver.impl;

import com.seer.teach.teacher.resolver.PromptVariableResolver;
import org.springframework.stereotype.Component;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 *
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-11-05 10:29
 */
@Component
public class DateResolver implements PromptVariableResolver {
    @Override
    public String supportKey() {
        return "date";
    }

    @Override
    public String resolve() {
        LocalDate today = LocalDate.now();
        return today.format(DateTimeFormatter.ofPattern("yyyy年M月d日"));
    }
}
